Package: org.gradle.api.file

## [Java] Interface DirectoryTree

- A directory with some associated include and exclude patterns.

  This interface does not allow mutation. However, the actual implementation may not be immutable.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getDir()` Returns the base directory of this tree.
    `PatternSet` | `getPatterns()` Returns the patterns which select the files under the base directory.

- - ### Method Detail

    - #### public File getDir()

      Returns the base directory of this tree.

      Returns:
        The base dir, never returns null.

    - #### public PatternSet getPatterns()

      Returns the patterns which select the files under the base directory.

      Returns:
        The patterns, never returns null.